Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# big::Int Class Reference

`#include <BigTypes.h>`

List of all members.

## Public Member Functions
| operator T & ()
| Int ()
| Int (word n)
| Int (T &n)
BIGINTFAST | zero ()
BIGINTFAST | operator= (word n)
BIGINTFAST | operator= (T &n)
BIGINTFAST | operator<<= (u32 s)
BIGINTSLOW | operator<< (u32 s)
BIGINTFAST | operator>>= (u32 s)
BIGINTSLOW | operator>> (u32 s)
BIGINTFAST | operator+= (T &n)
BIGINTSLOW | operator+ (T &n)
BIGINTFAST | operator-= (T &n)
BIGINTSLOW | operator- (T &n)
BIGINTFAST | operator++ ()
BIGINTSLOW | operator++ (int)
BIGINTFAST | operator-- ()
BIGINTSLOW | operator-- (int)
BIGINTSLOW | operator- (int)
BIGSMALLTYPE BIGINTFAST | operator *= (Smaller &n)
BIGINTSLOW | operator * (T &n)
BIGINTFAST | square ()
BIGINTFAST | operator/= (T &n)
BIGINTSLOW | operator/ (T &n)
BIGINTFAST | operator%= (T &n)
BIGINTSLOW | operator% (T &n)
bool | operator> (T &n)
bool | operator>= (T &n)
bool | operator< (T &n)
bool | operator<= (T &n)
bool | operator== (T &n)
bool | operator!= (T &n)
bool | operator! ()
## Protected Attributes
T | raw

## Constructor & Destructor Documentation

BIGONETYPE INLINE big::Int::Int | ( |  | ) |

BIGONETYPE INLINE big::Int::Int | ( | word | n | ) |

BIGONETYPE INLINE big::Int::Int | ( | T & | n | ) |

## Member Function Documentation

BIGONETYPE BIGINTSLOW big::Int::operator * | ( | T & | n | ) |

BIGSMALLTYPE BIGINTFAST big::Int::operator *= | ( | Smaller & | n | ) | `[inline]`

BIGONETYPE INLINE big::Int::operator T & | ( |  | ) |

BIGONETYPE INLINE bool big::Int::operator! | ( |  | ) |

BIGONETYPE INLINE bool big::Int::operator!= | ( | T & | n | ) |

BIGONETYPE BIGINTSLOW big::Int::operator% | ( | T & | n | ) |

BIGONETYPE BIGINTFAST big::Int::operator%= | ( | T & | n | ) |

BIGONETYPE BIGINTSLOW big::Int::operator+ | ( | T & | n | ) |

BIGONETYPE BIGINTSLOW big::Int::operator++ | ( | int |  | ) |

BIGONETYPE BIGINTFAST big::Int::operator++ | ( |  | ) |

BIGONETYPE BIGINTFAST big::Int::operator+= | ( | T & | n | ) |

BIGONETYPE BIGINTSLOW big::Int::operator- | ( | int |  | ) |

BIGONETYPE BIGINTSLOW big::Int::operator- | ( | T & | n | ) |

BIGONETYPE BIGINTSLOW big::Int::operator-- | ( | int |  | ) |

BIGONETYPE BIGINTFAST big::Int::operator-- | ( |  | ) |

BIGONETYPE BIGINTFAST big::Int::operator-= | ( | T & | n | ) |

BIGONETYPE BIGINTSLOW big::Int::operator/ | ( | T & | n | ) |

BIGONETYPE BIGINTFAST big::Int::operator/= | ( | T & | n | ) |

BIGONETYPE INLINE bool big::Int::operator< | ( | T & | n | ) |

BIGONETYPE BIGINTSLOW big::Int::operator<< | ( | u32 | s | ) |

BIGONETYPE BIGINTFAST big::Int::operator<<= | ( | u32 | s | ) |

BIGONETYPE INLINE bool big::Int::operator<= | ( | T & | n | ) |

BIGONETYPE BIGINTFAST big::Int::operator= | ( | T & | n | ) |

BIGONETYPE BIGINTFAST big::Int::operator= | ( | word | n | ) |

BIGONETYPE INLINE bool big::Int::operator== | ( | T & | n | ) |

BIGONETYPE INLINE bool big::Int::operator> | ( | T & | n | ) |

BIGONETYPE INLINE bool big::Int::operator>= | ( | T & | n | ) |

BIGONETYPE BIGINTSLOW big::Int::operator>> | ( | u32 | s | ) |

BIGONETYPE BIGINTFAST big::Int::operator>>= | ( | u32 | s | ) |

BIGONETYPE BIGINTFAST big::Int::square | ( |  | ) |

BIGONETYPE BIGINTFAST big::Int::zero | ( |  | ) |

## Member Data Documentation

T big::Int::raw`[protected]`

The documentation for this class was generated from the following file:

- Projects/raknet/include/raknet/BigTypes.h